/*
 * $Id: FeatRuntimeException.java,v 1.2 2006/04/18 16:12:53 sugimotokenichi Exp $
 * Copyright (C) 2005-2006 SUGIMOTO Ken-ichi
 * 作成日: 2005/07/30
 */
package feat2;

/**
 * 本来起こるはずのない状況のときに投げられる例外。
 * TODO リソースの取得
 * @author SUGIMOTO Ken-ichi
 */
public class FeatRuntimeException extends RuntimeException {

    private static final long serialVersionUID = "$Id: FeatRuntimeException.java,v 1.2 2006/04/18 16:12:53 sugimotokenichi Exp $".hashCode();

    /**
     *
     */
    public FeatRuntimeException() {
        super();
    }

    /**
     * @param message
     */
    public FeatRuntimeException(String message) {
        super(message);
    }

    /**
     * @param message
     * @param cause
     */
    public FeatRuntimeException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * @param cause
     */
    public FeatRuntimeException(Throwable cause) {
        super(cause);
    }
}
